> ## Documentation Index
> Fetch the complete documentation index at: https://docs.documate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List documents

> List documents on a channel with optional filters.



## OpenAPI

````yaml /openapi/external-v1.json get /api/v1/queues/{queueId}/documents
openapi: 3.1.0
info:
  title: Documate Partner API
  version: v1
  description: >-
    External partner API for uploading documents and reading extraction results.
    Authenticate with a business API key from the Documate app.
servers:
  - url: https://api2.documate.ai
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/queues/{queueId}/documents:
    get:
      summary: List documents
      description: List documents on a channel with optional filters.
      operationId: listDocuments
      parameters:
        - name: queueId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: fileId
          in: query
          schema:
            type: string
            format: uuid
        - name: batchId
          in: query
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          schema:
            type: string
        - name: createdFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: createdTo
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalDocument'
components:
  schemas:
    ExternalDocument:
      type: object
      properties:
        id:
          type: string
          format: uuid
        queueId:
          type: string
          format: uuid
        fileId:
          type: string
          format: uuid
        batchId:
          type: string
          format: uuid
          nullable: true
        documentTypeId:
          type: integer
          nullable: true
        documentTypeKey:
          type: string
          nullable: true
        agentId:
          type: string
          format: uuid
          nullable: true
        publicStatusKey:
          type: string
          nullable: true
        internalStageKey:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        resultJson:
          nullable: true
        webhookStatusKey:
          type: string
          nullable: true
        webhookAttempts:
          type: integer
        webhookLastHttpStatus:
          type: integer
          nullable: true
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
          nullable: true
        downloadUrl:
          type: string
          nullable: true
        downloadUrlExpiresAt:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API key from the Documate app (Settings → API keys). You may also send
        `Authorization: ApiKey YOUR_API_KEY`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.